#ifndef     MBED_PCA9956A
#define     MBED_PCA9956A

#include    "mbed.h"
#include    "PCA995x.h"

class PCA9956A : public PCA995x
{
public:

    enum command_reg {
        PWMALL  = 0x3F,
        IREFALL,
        EFLAG0,
        EFLAG1,
        EFLAG2,
        EFLAG3,
        EFLAG4,
        EFLAG5,
    };

    PCA9956A( PinName I2C_sda, PinName I2C_scl, char I2C_address ) : PCA995x( I2C_sda, I2C_scl, I2C_address, PCA995x::PCA9956A ) {
    }
    
    PCA9956A& operator= ( int c ) {
        PCA995x::operator= ( c );
        return *this;
    }
}
;

#endif  //  MBED_PCA9956A
